# TdApi.UpdateFileRemovedFromDownloads (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateFileRemovedFromDownloads

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateFileRemovedFromDownloads

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateFileRemovedFromDownloads

Enclosing class:
  TdApi

public static final class TdApi.UpdateFileRemovedFromDownloads extends TdApi.Update
A file was removed from the file download list. This update is sent only after file download list is loaded for the first time.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.DownloadedFileCounts`
`counts`
New number of being downloaded and recently downloaded files found.
`int`
`fileId`
File identifier.

## Constructor Summary

Constructors
Constructor
Description
`UpdateFileRemovedFromDownloads()`
A file was removed from the file download list.
`UpdateFileRemovedFromDownloads(int fileId, TdApi.DownloadedFileCounts counts)`
A file was removed from the file download list.
`UpdateFileRemovedFromDownloads(DataInput input)`
A file was removed from the file download list.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
File identifier.

### counts

public TdApi.DownloadedFileCounts counts
New number of being downloaded and recently downloaded files found.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateFileRemovedFromDownloads

public UpdateFileRemovedFromDownloads()
A file was removed from the file download list. This update is sent only after file download list is loaded for the first time.

### UpdateFileRemovedFromDownloads

public UpdateFileRemovedFromDownloads(int fileId, TdApi.DownloadedFileCounts counts)
A file was removed from the file download list. This update is sent only after file download list is loaded for the first time.

Parameters:
  `fileId` - int File identifier.
  `counts` - DownloadedFileCounts New number of being downloaded and recently downloaded files found.

### UpdateFileRemovedFromDownloads

public UpdateFileRemovedFromDownloads(DataInput input) throws IOException
A file was removed from the file download list. This update is sent only after file download list is loaded for the first time.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`